
#include <stm32f10x.h>              /* STM32F10x Library */


#include "w6100.h"						/* W5100 Register definition */
#include "w6100_init.h"
#include "SPI.h"
#include "socket.h"

#ifndef DATA_BUF_SIZE
	#define DATA_BUF_SIZE			2048
#endif
#define AS_IPV4 2
#define AS_IPV6 23
#define AS_IPDUAL 11

static uint16_t any_port = 	50000;
//static uint8_t curr_state[8] = {0,};
//static uint8_t sock_state[8] = {0,};
char* msg_v4 = "IPv4 mode";
char* msg_v6 = "IPv6 mode";
char* msg_dual = "Dual IP mode";

uint8_t buff[2048];
/******************************************************************************/
/*******************           Main function             **********************/
/******************************************************************************/
int main(void)
{
	/*ipv4 server ip*/
	uint8 server_ip4[4]={192,168,1,57};		
	/*ipv6 server ip*/
	uint8 server_ip6[16]={0xfe, 0x80, 0x00, 0x00,
							0x00, 0x00, 0x00, 0x00,
							0x75, 0x03, 0x1b, 0x81,
							0xf3, 0xee, 0x0c, 0x4a};			
  /*server port*/
	uint16 server_port=5000;
  /*systick init*/							  
	Systick_Init(72);	
	/*usart init*/
	USART1_Init(); 		
	printf("usart init ok\r\n");
	/*GPIO SPI/FSMC Init*/
	GPIO_Configuration();		
#if _WIZCHIP_IO_MODE_ & _WIZCHIP_IO_MODE_BUS_INDIR_
	
	 FSMC_Init();

#else	
	WIZ_SPI_Init();
	
#endif
	/*reset w6100*/
	Reset_W6100();
	/*set w6100 network*/
	Set_Network();	
/*set destination ipaddress*/
  setSLRTR(0X1388);
	setSLRCR(5);
	setSLDIPR(server_ip4);
	setSLCR(SLCR_ARP4);
	
	while(1)																			
	{	
		if(getSLIR()&SLIR_ARP4)
		{
		  printf("ARP OK\r\n");
			setSLIRCLR(SLIR_ARP4);
			break;
		}else if(getSLIR()&SLIR_TOUT)
    {
		  printf("TIMEOUT\r\n");	   
			setSLIRCLR(SLIR_ARP4);
			break;
		}
		
	}
	while(1);
}

